Bug 1606757 - xorg-x11-drv-opentegra: FTBFS in Fedora rawhide
Summary: xorg-x11-drv-opentegra: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-opentegra
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1676246 (view as bug list)
Depends On:
Blocks: F29FTBFS F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:29 UTC by Mohan Boddu
Modified: 2019-08-08 13:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 13:21:43 UTC


Attachments (Terms of Use)
build.log (19.32 KB, text/plain)
2018-07-20 21:30 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 21:30 UTC, Mohan Boddu
no flags Details
state.log (683 bytes, text/plain)
2018-07-20 21:30 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 21:29:57 UTC
xorg-x11-drv-opentegra failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28240593


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix xorg-x11-drv-opentegra at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
xorg-x11-drv-opentegra will be orphaned. Before branching of Fedora 30,
xorg-x11-drv-opentegra will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:30:04 UTC
Created attachment 1469152 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 21:30:07 UTC
Created attachment 1469153 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:30:11 UTC
Created attachment 1469154 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 11:02:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Nicolas Chauvet (kwizart) 2019-06-12 07:09:48 UTC
FYI, the opentegra DDX package is still relevant for older Tegra devices (tegra124 and later use the nouveau driver).
The development is still head in the github grate-driver project, but it relies on a libdrm fork
The libdrm fork could be resolved upstream when the kernel tegra API will be reworked which is still delayed so far.
Until a proper mesa driver can be achieved, the opentegra DDX will be a step forward to have older video acceleration using EXA (instead of glamor which would relies on the modesetting driver).

Comment 6 Nicolas Chauvet (kwizart) 2019-07-02 11:39:35 UTC
*** Bug 1676246 has been marked as a duplicate of this bug. ***

Comment 7 Mohan Boddu 2019-08-08 13:21:43 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.